Как правильно установить opencart

Тема в разделе "Установка и обновление", создана пользователем tavila, 14 сен 2015.

  1. tavila

    tavila Новичок

    Сообщения:
    9
    Симпатии:
    0
    Скачала дистрибутив opencart-2.0.3.1-rs. Выложила скрипты на сервер. Не понятно как развернуть базу? Нашла вот эту инструкцию по установке - http://forum.opencart-russia.ru/threads/ustanovka.9/ . Но тут не понятно как развернуть базу данных. Подскажите.
     
  2. Romans

    Romans Administrator Команда форума

    Сообщения:
    1.339
    Симпатии:
    698
    Инструкция писалась для людей которые хоть как то подготовлены к установке, т.е имели опыт, знают что такое БД итд.
    Более подробной инструкции не будет т.к даже на ваш вопрос сложно ответить.

    Необходимо создать базу данных, так как описано в документации по вашему хостингу или панели управления хостингом.
     
  3. tavila

    tavila Новичок

    Сообщения:
    9
    Симпатии:
    0
    База создана.
    Да я дамп не вижу. Что запускать после как файлы выгрузила на сервер. )))
    Файлы конфиг пустые. Набрала в браузере http://www.eto-ja.ru/install/index.php
    выдаёт белый лист и на нём вот это - PHP5.3+ Required
    И всё.
    Вот такая база создана. Что дальше делать ?
    $dblocation = "baze.namer.ru.postman.ru:123000";
    $dbname = "namer_ru";
    $dbuser = "namer_ru";
    $dbpasswd = "paswrd";
     
    Последнее редактирование: 14 сен 2015
  4. Vlad

    Vlad Эксперт

    Сообщения:
    3.899
    Симпатии:
    939
    так написали вам )) что необходимо php версии выше 5.3


    они заполнятся, когда пройдете мастер установки
     
  5. tavila

    tavila Новичок

    Сообщения:
    9
    Симпатии:
    0
    Ах вот оно как! :) А какую версию можно взять чтобы на php версии 5 работало?
     
  6. Vlad

    Vlad Эксперт

    Сообщения:
    3.899
    Симпатии:
    939
    5.4 например

    Или вы про что?
     
  7. tavila

    tavila Новичок

    Сообщения:
    9
    Симпатии:
    0
  8. Vlad

    Vlad Эксперт

    Сообщения:
    3.899
    Симпатии:
    939
    А не проще сменить версию php ?? Точно у вас какая? Просто 5 не бывает. Есть 5.1, 5.2 итд
     
  9. tavila

    tavila Новичок

    Сообщения:
    9
    Симпатии:
    0
    У меня на сервере PHP 5. Оплаченный хостинг. Не менять же провайдера. :)
    Спасибо за подсказку. Скачала версию v1.5.4, и съинсталировалось с первой попытки.
     
    Последнее редактирование: 15 сен 2015
  10. Vlad

    Vlad Эксперт

    Сообщения:
    3.899
    Симпатии:
    939
    это старая версия. Зачем она вам?? Обычно на хостинге сменить версию проблем вообще нету. К чему сложности??

    У вас есть гараж высотой 2 метра. Есть возможность взять на халяву одну машину.
    Или старый джип высотой 1,8
    или новый высотой 2,1

    Что сделаете?? Я например увеличу высоту гаража или его вообще поменяю.
     
  11. mar-research

    mar-research Новичок

    Сообщения:
    8
    Симпатии:
    0
    Здравствуйте! прошу прощения за оффтоп, - тоже проблема с установкой, но немного другая. Ругается, что нет расширения zip. Это проблема хостинга или нужно расширения загружать? спасибо!
     

    Вложения:

  12. optimlab

    optimlab Продвинутый пользователь

    Сообщения:
    817
    Симпатии:
    217
  13. ulybkachild

    ulybkachild Новичок

    Сообщения:
    4
    Симпатии:
    0
    Добрый день. У меня тоже возникла проблема с установкой версии 1.5.6.1. Страница браузера зависла на первом шаге установки и автоматически не переходит на следующий шаг, только если вручную менять номер шага в адресной строке страница обновляется. Но и после всех настроек и ввода данных завершение установки не происходит. И не знаю как быть с БД. Ранее у меня была установлена английская сборка версии 1.5.6.4 и для нее была создана БД. Мне можно к старой БД админку присоединить, или создать новую БД? И достаточно ли для этого будет просто прописать данные БД?
     
  14. Romans

    Romans Administrator Команда форума

    Сообщения:
    1.339
    Симпатии:
    698
    Все нужно заново втч и новую пустую базу. Да и зачем вам 1.5 когда давно уже .2.1 есть?
     
  15. ulybkachild

    ulybkachild Новичок

    Сообщения:
    4
    Симпатии:
    0
    На 2.1 есть модуль пользовательского фона и цвета? Я искала не нашла. А мне нужно сайт делать не по шаблону.
     
  16. Romans

    Romans Administrator Команда форума

    Сообщения:
    1.339
    Симпатии:
    698
    на 2.1 есть все!
     
  17. wankom

    wankom Новичок

    Сообщения:
    16
    Симпатии:
    0
    В инструкции по установке как будто пропущена ещё одна процедура. Полгода назад я уже устанавливал себе Опенкарт предыдущей версии. Инструкция вроде была поподробнее, пошаговая. Пытаюсь новую версию для другого магазина установить. Сейчас архив загрузил, распаковал, файлы рекомендуемые переименовал, базу MySQL создал, пользователя назначил. А дальше? Чё за инструкции на экране? Я, конечно, не специалист, но хотелось бы попонятнее.
     
  18. Romans

    Romans Administrator Команда форума

    Сообщения:
    1.339
    Симпатии:
    698
    вы про "Чё" ??
     
  19. wankom

    wankom Новичок

    Сообщения:
    16
    Симпатии:
    0
     

    Вложения:

  20. Bkmz

    Bkmz Продвинутый пользователь

    Сообщения:
    440
    Симпатии:
    106
    Последнее редактирование: 20 янв 2016